%define anolis_release 3
%global srcname requests-ftp

Name:           python-%{srcname}
Version:        0.3.1
Release:        %{anolis_release}%{?dist}
Summary:        FTP transport adapter for python-requests

License:        ASL 2.0
URL:            https://github.com/Lukasa/requests-ftp
Source0:        https://pypi.python.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

# from https://github.com/Lukasa/requests-ftp/pull/28, handle multi-line responses
# from 4090846
Patch1:         PR28-01-Adding-2-tests-and-updated-statud_code-build.patch
# from 4f6a9f5
Patch2:         PR28-02-Adding-code-3-to-retr4ieve-status_code.patch
# from 3fb2700
Patch3:         PR28-03-fix-warning-in-interpreting-ftp-status-codes-minor-d.patch
# 2caa427 is only test updates, tests not in pypi tarball
# from 7321ab3
Patch5:         PR28-05-Improve-logging-in-status-code-extraction.patch 


%description
Requests-FTP is an implementation of a very stupid FTP transport adapter for
use with the awesome Requests Python library.

%package -n python3-%{srcname}
Summary:        FTP transport adapter for python3-requests
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel

Requires:       python3-requests

%description -n python3-requests-ftp
Requests-FTP is an implementation of a very stupid FTP transport adapter for
use with the awesome Requests Python library.

This is the Python 3 version of the transport adapter module.

%package doc
Summary:        Documentation files for %{srcname}
Requires:       python3-%{srcname} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The python3-%{srcname}-doc package contains documentation files for %{srcname}.

%prep
%autosetup -n %{srcname}-%{version} -p1
rm -rf requests_ftp.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/requests_ftp/
%{python3_sitelib}/requests_ftp-%{version}.dist-info/

%files doc
%doc README.rst

%changelog
* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.1-3
- optimise dependency

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.1-2
- add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.3.1-1
- init from upstream
